using LiteNetLib;

namespace Syntriax.Engine.Network.Abstract;

public interface INetworkCommunicator
{
    event OnPacketReceivedDelegate? OnPacketReceived;

    EventBasedNetListener Listener { get; }
    NetManager Manager { get; }

    void PollEvents();
    void Stop();

    void Send<T>(NetworkPacket<T> Data);

    delegate void OnPacketReceivedDelegate(INetworkCommunicator sender, object packet);
}
